Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019169
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2011-11-24 12:412011-12-05 12:31
ReporterjecharriView Statuspublic 
Assigned Tomtaal 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionc5b8d03ac83c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019169: Colums with reference Table or Tabledir are collapsing the browser

DescriptionColums with reference Table or Tabledir are collapsing the browser
Steps To ReproduceAs "Group Admin" go to window "Sales Invoice":
-Create a "Header". It doesn't mutter what you put.
-Create a related "Line" in grid view.
-Go to column Tax and write "a".

You will see that the application doesn't do any suggestion, and apart from that you can not save or do more thing.
The browser is out.

Apart from this case, if you display the field "Incoterm" in the header of purchase order for example.
If you create one header in form view and write something in this field, it happens the same. (First create some records in "Incoterm" window)
TagsRegression
Attached Filesdiff file icon 19169.diff [^] (1,812 bytes) 2011-11-27 00:23 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0019166 closedjonalegriaesarte The account selector is not working properly in grid view (ll) 
related to defect 00191943.0MP6 closedalostale Callout is not being fired in text fields 

-  Notes
(0043161)
shuehner (administrator)
2011-11-24 13:46

Info from reported: Issue happens in MP5 + MP5.1. Issue does not happen in MP4.2
(0043370)
jonalegriaesarte (reporter)
2011-11-25 18:16

Reproducible in live.builds Postgre, Chromium 13.0.782.215.
The performance of the tax combo is very low.
(0043377)
mtaal (developer)
2011-11-27 00:23

I uploaded a diff which solves the issue for me. I will also apply it in pi.
(0043378)
hgbot (developer)
2011-11-27 16:07

Repository: erp/devel/pi
Changeset: c5b8d03ac83c61518703412f5e516984866c4d0e
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Nov 27 16:06:38 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c5b8d03ac83c61518703412f5e516984866c4d0e [^]

Related to issue 19169: Colums with reference Table or Tabledir are collapsing the browser

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0043379)
jonalegriaesarte (reporter)
2011-11-27 20:26

I've applied the fix in my environment, and works properly for me.
(0043401)
shuehner (administrator)
2011-11-28 11:59

Changeset: c5b8d03ac83c61518703412f5e516984866c4d0e
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Nov 27 16:06:38 2011 +0100

Related to issue 19169: Colums with reference Table or Tabledir are collapsing the browser

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0043403)
jecharri (developer)
2011-11-28 13:02

Verified
(0043564)
hudsonbot (developer)
2011-11-30 12:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/01809c7b3135 [^]

Maturity status: Test
(0043702)
psarobe (manager)
2011-12-05 12:31

Reviewed. Still a very small issue.
if i type something (grid view) in a mandatory field I see the save button plus custom buttons. This is correct
If i remove the value in the mandatory field, custom buttons disappear
This is correct
But the save button remains. This is not correct
In form view works perfect

- Issue History
Date Modified Username Field Change
2011-11-24 12:41 jecharri New Issue
2011-11-24 12:41 jecharri Assigned To => jonalegriaesarte
2011-11-24 12:41 jecharri Web browser => Google Chrome
2011-11-24 12:41 jecharri Modules => Core
2011-11-24 12:48 jecharri Web browser Google Chrome => Google Chrome
2011-11-24 12:48 jecharri Assigned To jonalegriaesarte => mtaal
2011-11-24 12:48 jecharri Summary a => Colums with reference Table or Tabledir are collapsing the browser
2011-11-24 12:48 jecharri Description Updated View Revisions
2011-11-24 12:48 jecharri Steps to Reproduce Updated View Revisions
2011-11-24 12:48 jecharri Tag Attached: Regression
2011-11-24 12:49 jecharri Relationship added has duplicate 0019166
2011-11-24 12:58 jecharri Web browser Google Chrome => Google Chrome
2011-11-24 12:58 jecharri Steps to Reproduce Updated View Revisions
2011-11-24 13:15 jecharri Web browser Google Chrome => Google Chrome
2011-11-24 13:15 jecharri Category 07. Sales management => A. Platform
2011-11-24 13:46 shuehner Note Added: 0043161
2011-11-25 18:16 jonalegriaesarte Note Added: 0043370
2011-11-27 00:23 mtaal File Added: 19169.diff
2011-11-27 00:23 mtaal Note Added: 0043377
2011-11-27 16:07 hgbot Checkin
2011-11-27 16:07 hgbot Note Added: 0043378
2011-11-27 20:26 jonalegriaesarte Note Added: 0043379
2011-11-28 11:57 shuehner Status new => scheduled
2011-11-28 11:57 shuehner fix_in_branch => pi
2011-11-28 11:59 shuehner Note Added: 0043401
2011-11-28 11:59 shuehner Status scheduled => resolved
2011-11-28 11:59 shuehner Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c5b8d03ac83c61518703412f5e516984866c4d0e [^]
2011-11-28 11:59 shuehner Resolution open => fixed
2011-11-28 13:02 jecharri Note Added: 0043403
2011-11-28 13:02 jecharri Status resolved => closed
2011-11-28 13:48 shuehner Relationship added related to 0019194
2011-11-30 12:37 hudsonbot Checkin
2011-11-30 12:37 hudsonbot Note Added: 0043564
2011-12-05 12:31 psarobe Note Added: 0043702


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker